﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace DataGrid_Refreshed
{
    public class Product : INotifyPropertyChanged
    {
        
        private string productId;

        public string ProductId
        {
            get { return productId; }
            set { productId = value; OnPropertyChanged("ProductId"); }
        }
        private string productName;

        public string ProductName
        {
            get { return productName; }
            set { productName = value; OnPropertyChanged("ProductName"); }
        }
        private int salesID;

        public int SalesID
        {
            get { return salesID; }
            set { salesID = value; OnPropertyChanged("SalesID"); }
        }

        private string customerName;
        public string CustomerName
        {
            get { return customerName; }
            set { customerName = value; OnPropertyChanged("CustomerName"); }
        }

        public Product(string productId, string productName, int salesID, string customerName)
        {
            this.productId = productId;
            this.productName = productName;
            this.salesID = salesID;
            this.customerName = customerName;
        }
        public event PropertyChangedEventHandler PropertyChanged;
        private void OnPropertyChanged(String prop)
        {
            if (PropertyChanged != null)
            {
                PropertyChanged(this, new PropertyChangedEventArgs(prop));
            }
        }
    }
}
